summaryrefslogtreecommitdiff
path: root/dev-python/python-oembed
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-oembed')
-rw-r--r--dev-python/python-oembed/Manifest2
-rw-r--r--dev-python/python-oembed/metadata.xml8
-rw-r--r--dev-python/python-oembed/python-oembed-0.2.1-r1.ebuild25
-rw-r--r--dev-python/python-oembed/python-oembed-0.2.2.ebuild25
4 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/python-oembed/Manifest b/dev-python/python-oembed/Manifest
new file mode 100644
index 000000000000..6608a3e75932
--- /dev/null
+++ b/dev-python/python-oembed/Manifest
@@ -0,0 +1,2 @@
+DIST python-oembed-0.2.1.tar.gz 7809 SHA256 70ac9320a2548185dca71af48fff657d4b11e20840bba101a87405cda0e4e0af SHA512 27c3b3ad2ccddc864660d9f3de9c20f19417f9e3844a3ab36bbaf8364760104d8ca8d446fe4dbebf596fa9c88f284b51747bd801889e68424546dabd340b8278 WHIRLPOOL 32b62dd8222f018d71c6ef1b6a53bc618d1cfbd495b03a473c7202aa8cbc57054fe08b091328fe4897a1b6e765aac54c370fc80b1f413d6e8746746fbba6223a
+DIST python-oembed-0.2.2.tar.gz 7858 SHA256 809208fe46d0e9b84cc8b2115e68e71022f530d47b2e4f11353c037c53d8b20f SHA512 ba1a6d9d317275099811be34e9f37009068e1f1e56bdb1091037030185129e36fbc50efcd64e1f7201ae24840745f7819433cc70c59e76baf1e42d627a7fe826 WHIRLPOOL d0ee3a10ae521767a20c831ed13993f1f4a11ee7614063ced28285943351ba2aefab4e61b37bdffa97b3c2bf2e36ddf0c3ade512ae807843653492a162354815
diff --git a/dev-python/python-oembed/metadata.xml b/dev-python/python-oembed/metadata.xml
new file mode 100644
index 000000000000..ecaf56af8d53
--- /dev/null
+++ b/dev-python/python-oembed/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="pypi">python-oembed</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-oembed/python-oembed-0.2.1-r1.ebuild b/dev-python/python-oembed/python-oembed-0.2.1-r1.ebuild
new file mode 100644
index 000000000000..ebc85742f273
--- /dev/null
+++ b/dev-python/python-oembed/python-oembed-0.2.1-r1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library that implements an OEmbed consumer"
+HOMEPAGE="http://pypi.python.org/pypi/python-oembed"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+python_test() {
+ nosetests || die "tests failed"
+}
diff --git a/dev-python/python-oembed/python-oembed-0.2.2.ebuild b/dev-python/python-oembed/python-oembed-0.2.2.ebuild
new file mode 100644
index 000000000000..ebc85742f273
--- /dev/null
+++ b/dev-python/python-oembed/python-oembed-0.2.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library that implements an OEmbed consumer"
+HOMEPAGE="http://pypi.python.org/pypi/python-oembed"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+python_test() {
+ nosetests || die "tests failed"
+}